{ config, ... }:
{
  fileSystems = with config.services.mycelium.ips; {
    # Local mounts
    "/mnt/Games" = {
      device = "/dev/disk/by-uuid/cb109a85-846d-4417-9c50-a2279bd20803";
      fsType = "btrfs";
      options = [
        "nofail"
        "nosuid"
      ];
    };

    # Network mounts
    "/home/${config.sysusers.main}/Network/Midas" = {
      device = "[${midas}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${config.sysusers.main}/Network/Kitty" = {
      device = "[${kitty}]:/storage/bun";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
    "/home/${config.sysusers.main}/Network/Prophet" = {
      device = "[${prophet}]:/storage";
      fsType = "nfs4";
      options = [
        "noauto"
        "soft"
        "x-systemd.automount"
      ];
    };
  };
}
